<?php
/* Autor...: William L. Taype Perez */
/* Esquema.: VTA_PrsProyectos.xml */
/* Generado: 2021-06-26 00:00:09 */

/* Busqueda de registros de la tabla VTA_PrsProyectos. */
abstract class BaseVTA_PrsProyectosFN extends VTA_PrsProyectosBN
{
    /* Declaracion de constantes */
    const IdProyecto = "VTA_PrsProyectos.IdProyecto";
    const IdPersona = "VTA_PrsProyectos.IdPersona";
    const ClienteNombre = "VTA_PrsProyectos.ClienteNombre";
    const ClienteTipoDocu = "VTA_PrsProyectos.ClienteTipoDocu";
    const ClienteNroDocu = "VTA_PrsProyectos.ClienteNroDocu";
    const NombreCompleto = "VTA_PrsProyectos.NombreCompleto";
    const NombreProyecto = "VTA_PrsProyectos.NombreProyecto";
    const Contacto = "VTA_PrsProyectos.Contacto";
    const TipoDocumento = "VTA_PrsProyectos.TipoDocumento";
    const NroDocumento = "VTA_PrsProyectos.NroDocumento";
    const Cargo = "VTA_PrsProyectos.Cargo";
    const Telefono = "VTA_PrsProyectos.Telefono";
    const Correo = "VTA_PrsProyectos.Correo";
    const Estado = "VTA_PrsProyectos.Estado";
    const EstadoDevolucion = "VTA_PrsProyectos.EstadoDevolucion";
    const FechaInicioDespacho = "VTA_PrsProyectos.FechaInicioDespacho";
    const FechaFinDespacho = "VTA_PrsProyectos.FechaFinDespacho";
    const Departamento = "VTA_PrsProyectos.Departamento";
    const Provincia = "VTA_PrsProyectos.Provincia";
    const Distrito = "VTA_PrsProyectos.Distrito";
    const Direccion = "VTA_PrsProyectos.Direccion";
    const FechaCreacion = "VTA_PrsProyectos.FechaCreacion";
    const UsuarioCreacion = "VTA_PrsProyectos.UsuarioCreacion";
    const UsuarioModificacion = "VTA_PrsProyectos.UsuarioModificacion";
    const FechaModificacion = "VTA_PrsProyectos.FechaModificacion";

    public $a_Condition = array();
    public $a_OrderBy = array();
    public $a_GroupBy = array();
    public $b_Debug = false;

    /* Obtiene una conexion a la base de datos */
    public function getConnect()
    {
        $o_DBConnect = Conexion::getConexion();
        return $o_DBConnect;
    }

    public function getDebug()
    {
        if( SF_DEBUG )
        {
            $this->b_Debug = true;
        }
        return $this->b_Debug;
    }

    public function setDebug( $v )
    {
        $this->b_Debug = $v;
    }

    /* Obtiene la cadena de columas */
    public function getSelectColumns()
    {
        $s_SQLQuery = "VTA_PrsProyectos.IdProyecto AS IdProyecto, ";
        $s_SQLQuery .= "VTA_PrsProyectos.IdPersona AS IdPersona, ";
        $s_SQLQuery .= "VTA_PrsProyectos.ClienteNombre AS ClienteNombre, ";
        $s_SQLQuery .= "VTA_PrsProyectos.ClienteTipoDocu AS ClienteTipoDocu, ";
        $s_SQLQuery .= "VTA_PrsProyectos.ClienteNroDocu AS ClienteNroDocu, ";
        $s_SQLQuery .= "VTA_PrsProyectos.NombreCompleto AS NombreCompleto, ";
        $s_SQLQuery .= "VTA_PrsProyectos.NombreProyecto AS NombreProyecto, ";
        $s_SQLQuery .= "VTA_PrsProyectos.Contacto AS Contacto, ";
        $s_SQLQuery .= "VTA_PrsProyectos.TipoDocumento AS TipoDocumento, ";
        $s_SQLQuery .= "VTA_PrsProyectos.NroDocumento AS NroDocumento, ";
        $s_SQLQuery .= "VTA_PrsProyectos.Cargo AS Cargo, ";
        $s_SQLQuery .= "VTA_PrsProyectos.Telefono AS Telefono, ";
        $s_SQLQuery .= "VTA_PrsProyectos.Correo AS Correo, ";
        $s_SQLQuery .= "VTA_PrsProyectos.Estado AS Estado, ";
        $s_SQLQuery .= "VTA_PrsProyectos.EstadoDevolucion AS EstadoDevolucion, ";
        $s_SQLQuery .= "VTA_PrsProyectos.FechaInicioDespacho AS FechaInicioDespacho, ";
        $s_SQLQuery .= "VTA_PrsProyectos.FechaFinDespacho AS FechaFinDespacho, ";
        $s_SQLQuery .= "VTA_PrsProyectos.Departamento AS Departamento, ";
        $s_SQLQuery .= "VTA_PrsProyectos.Provincia AS Provincia, ";
        $s_SQLQuery .= "VTA_PrsProyectos.Distrito AS Distrito, ";
        $s_SQLQuery .= "VTA_PrsProyectos.Direccion AS Direccion, ";
        $s_SQLQuery .= "VTA_PrsProyectos.FechaCreacion AS FechaCreacion, ";
        $s_SQLQuery .= "VTA_PrsProyectos.UsuarioCreacion AS UsuarioCreacion, ";
        $s_SQLQuery .= "VTA_PrsProyectos.UsuarioModificacion AS UsuarioModificacion, ";
        $s_SQLQuery .= "VTA_PrsProyectos.FechaModificacion AS FechaModificacion ";
        return $s_SQLQuery;
    }

    /* Establece el condicion de filtro de la lista resultante */
    public function addCondition( $s_Const, $s_Operator, $u_Value, $b_ComSimple = true )
    {
        $this->a_Condition[] = array( "COLUMN" => $s_Const, "OPERATOR" => $s_Operator, "VALUE" => $u_Value, "FLAG_COMILLAS" => $b_ComSimple );
    }

    /* Establece el orden de la lista resultante */
    public function addOrderBy( $s_Const, $b_OrderAsc = true )
    {
        $this->a_OrderBy[] = array( "COLUMN" => $s_Const, "ASC" => $b_OrderAsc );
    }

    /* Establece el orden de la lista resultante */
    public function addGroupBy( $s_Const )
    {
        $this->a_GroupBy[] = array( "COLUMN" => $s_Const );
    }

    /* Establece los valores desde un objeto VTA_PrsProyectosBN */
    public function setByBN( VTA_PrsProyectosBN $o_VTA_PrsProyectosBN )
    {
        if ( !is_null( $o_VTA_PrsProyectosBN->getIdProyecto() ) )
        {
            $this->setIdProyecto( $o_VTA_PrsProyectosBN->getIdProyecto() );
        }
        if ( !is_null( $o_VTA_PrsProyectosBN->getIdPersona() ) )
        {
            $this->setIdPersona( $o_VTA_PrsProyectosBN->getIdPersona() );
        }
        if ( !is_null( $o_VTA_PrsProyectosBN->getClienteNombre() ) )
        {
            $this->setClienteNombre( $o_VTA_PrsProyectosBN->getClienteNombre() );
        }
        if ( !is_null( $o_VTA_PrsProyectosBN->getClienteTipoDocu() ) )
        {
            $this->setClienteTipoDocu( $o_VTA_PrsProyectosBN->getClienteTipoDocu() );
        }
        if ( !is_null( $o_VTA_PrsProyectosBN->getClienteNroDocu() ) )
        {
            $this->setClienteNroDocu( $o_VTA_PrsProyectosBN->getClienteNroDocu() );
        }
        if ( !is_null( $o_VTA_PrsProyectosBN->getNombreCompleto() ) )
        {
            $this->setNombreCompleto( $o_VTA_PrsProyectosBN->getNombreCompleto() );
        }
        if ( !is_null( $o_VTA_PrsProyectosBN->getNombreProyecto() ) )
        {
            $this->setNombreProyecto( $o_VTA_PrsProyectosBN->getNombreProyecto() );
        }
        if ( !is_null( $o_VTA_PrsProyectosBN->getContacto() ) )
        {
            $this->setContacto( $o_VTA_PrsProyectosBN->getContacto() );
        }
        if ( !is_null( $o_VTA_PrsProyectosBN->getTipoDocumento() ) )
        {
            $this->setTipoDocumento( $o_VTA_PrsProyectosBN->getTipoDocumento() );
        }
        if ( !is_null( $o_VTA_PrsProyectosBN->getNroDocumento() ) )
        {
            $this->setNroDocumento( $o_VTA_PrsProyectosBN->getNroDocumento() );
        }
        if ( !is_null( $o_VTA_PrsProyectosBN->getCargo() ) )
        {
            $this->setCargo( $o_VTA_PrsProyectosBN->getCargo() );
        }
        if ( !is_null( $o_VTA_PrsProyectosBN->getTelefono() ) )
        {
            $this->setTelefono( $o_VTA_PrsProyectosBN->getTelefono() );
        }
        if ( !is_null( $o_VTA_PrsProyectosBN->getCorreo() ) )
        {
            $this->setCorreo( $o_VTA_PrsProyectosBN->getCorreo() );
        }
        if ( !is_null( $o_VTA_PrsProyectosBN->getEstado() ) )
        {
            $this->setEstado( $o_VTA_PrsProyectosBN->getEstado() );
        }
        if ( !is_null( $o_VTA_PrsProyectosBN->getEstadoDevolucion() ) )
        {
            $this->setEstadoDevolucion( $o_VTA_PrsProyectosBN->getEstadoDevolucion() );
        }
        if ( !is_null( $o_VTA_PrsProyectosBN->getFechaInicioDespacho() ) )
        {
            $this->setFechaInicioDespacho( $o_VTA_PrsProyectosBN->getFechaInicioDespacho() );
        }
        if ( !is_null( $o_VTA_PrsProyectosBN->getFechaFinDespacho() ) )
        {
            $this->setFechaFinDespacho( $o_VTA_PrsProyectosBN->getFechaFinDespacho() );
        }
        if ( !is_null( $o_VTA_PrsProyectosBN->getDepartamento() ) )
        {
            $this->setDepartamento( $o_VTA_PrsProyectosBN->getDepartamento() );
        }
        if ( !is_null( $o_VTA_PrsProyectosBN->getProvincia() ) )
        {
            $this->setProvincia( $o_VTA_PrsProyectosBN->getProvincia() );
        }
        if ( !is_null( $o_VTA_PrsProyectosBN->getDistrito() ) )
        {
            $this->setDistrito( $o_VTA_PrsProyectosBN->getDistrito() );
        }
        if ( !is_null( $o_VTA_PrsProyectosBN->getDireccion() ) )
        {
            $this->setDireccion( $o_VTA_PrsProyectosBN->getDireccion() );
        }
        if ( !is_null( $o_VTA_PrsProyectosBN->getFechaCreacion() ) )
        {
            $this->setFechaCreacion( $o_VTA_PrsProyectosBN->getFechaCreacion() );
        }
        if ( !is_null( $o_VTA_PrsProyectosBN->getUsuarioCreacion() ) )
        {
            $this->setUsuarioCreacion( $o_VTA_PrsProyectosBN->getUsuarioCreacion() );
        }
        if ( !is_null( $o_VTA_PrsProyectosBN->getUsuarioModificacion() ) )
        {
            $this->setUsuarioModificacion( $o_VTA_PrsProyectosBN->getUsuarioModificacion() );
        }
        if ( !is_null( $o_VTA_PrsProyectosBN->getFechaModificacion() ) )
        {
            $this->setFechaModificacion( $o_VTA_PrsProyectosBN->getFechaModificacion() );
        }
    }

    /**
    * @return VTA_PrsProyectosBN|null
    * @throws SQLException
    */
    public function selectByPK( $i_IdProyecto )
    {
        if( is_null( $i_IdProyecto ) ){ $i_IdProyecto = -1; } 
 
        $s_SQLQuery = "SELECT ";
        $s_SQLQuery .= $this->getSelectColumns();
        $s_SQLQuery .= "FROM VTA_PrsProyectos ";
        $s_SQLQuery .= "WHERE IdProyecto = ".$i_IdProyecto." ";
        $s_SQLQuery .= "LIMIT 1;";
        if( $this->getDebug() ){ pr( $s_SQLQuery ); }
        $o_VTA_PrsProyectosBN = null;
        $o_Resource = $this->getConnect();
        $o_Statement = $o_Resource->prepareStatement( $s_SQLQuery );
        $o_ResultSet = $o_Statement->executeQuery();
        $i_NumRows   = $o_ResultSet->getRecordCount();
        if( $i_NumRows > 0 )
        {
            $o_ResultSet->next();
            $a_SQLRow = $o_ResultSet->getRow(); //devuele array
            $o_VTA_PrsProyectosBN = $this->insertObjectBN( $a_SQLRow );
        }
        return $o_VTA_PrsProyectosBN;
    }

    public function buildConsult()
    {
        $s_SQLQuery = "";
        if ( !is_null( $this->getIdProyecto() ) ) $s_SQLQuery .= "VTA_PrsProyectos.IdProyecto = ".$this->getIdProyecto()." AND ";
        if ( !is_null( $this->getIdPersona() ) ) $s_SQLQuery .= "VTA_PrsProyectos.IdPersona = ".$this->getIdPersona()." AND ";
        if ( !is_null( $this->getClienteNombre() ) ) $s_SQLQuery .= "VTA_PrsProyectos.ClienteNombre = '".$this->getClienteNombre()."' AND ";
        if ( !is_null( $this->getClienteTipoDocu() ) ) $s_SQLQuery .= "VTA_PrsProyectos.ClienteTipoDocu = '".$this->getClienteTipoDocu()."' AND ";
        if ( !is_null( $this->getClienteNroDocu() ) ) $s_SQLQuery .= "VTA_PrsProyectos.ClienteNroDocu = '".$this->getClienteNroDocu()."' AND ";
        if ( !is_null( $this->getNombreCompleto() ) ) $s_SQLQuery .= "VTA_PrsProyectos.NombreCompleto = '".$this->getNombreCompleto()."' AND ";
        if ( !is_null( $this->getNombreProyecto() ) ) $s_SQLQuery .= "VTA_PrsProyectos.NombreProyecto = '".$this->getNombreProyecto()."' AND ";
        if ( !is_null( $this->getContacto() ) ) $s_SQLQuery .= "VTA_PrsProyectos.Contacto = '".$this->getContacto()."' AND ";
        if ( !is_null( $this->getTipoDocumento() ) ) $s_SQLQuery .= "VTA_PrsProyectos.TipoDocumento = '".$this->getTipoDocumento()."' AND ";
        if ( !is_null( $this->getNroDocumento() ) ) $s_SQLQuery .= "VTA_PrsProyectos.NroDocumento = '".$this->getNroDocumento()."' AND ";
        if ( !is_null( $this->getCargo() ) ) $s_SQLQuery .= "VTA_PrsProyectos.Cargo = '".$this->getCargo()."' AND ";
        if ( !is_null( $this->getTelefono() ) ) $s_SQLQuery .= "VTA_PrsProyectos.Telefono = '".$this->getTelefono()."' AND ";
        if ( !is_null( $this->getCorreo() ) ) $s_SQLQuery .= "VTA_PrsProyectos.Correo = '".$this->getCorreo()."' AND ";
        if ( !is_null( $this->getEstado() ) ) $s_SQLQuery .= "VTA_PrsProyectos.Estado = '".$this->getEstado()."' AND ";
        if ( !is_null( $this->getEstadoDevolucion() ) ) $s_SQLQuery .= "VTA_PrsProyectos.EstadoDevolucion = '".$this->getEstadoDevolucion()."' AND ";
        if ( !is_null( $this->getFechaInicioDespacho() ) ) $s_SQLQuery .= "VTA_PrsProyectos.FechaInicioDespacho = '".$this->getFechaInicioDespacho()."' AND ";
        if ( !is_null( $this->getFechaFinDespacho() ) ) $s_SQLQuery .= "VTA_PrsProyectos.FechaFinDespacho = '".$this->getFechaFinDespacho()."' AND ";
        if ( !is_null( $this->getDepartamento() ) ) $s_SQLQuery .= "VTA_PrsProyectos.Departamento = '".$this->getDepartamento()."' AND ";
        if ( !is_null( $this->getProvincia() ) ) $s_SQLQuery .= "VTA_PrsProyectos.Provincia = '".$this->getProvincia()."' AND ";
        if ( !is_null( $this->getDistrito() ) ) $s_SQLQuery .= "VTA_PrsProyectos.Distrito = '".$this->getDistrito()."' AND ";
        if ( !is_null( $this->getDireccion() ) ) $s_SQLQuery .= "VTA_PrsProyectos.Direccion = '".$this->getDireccion()."' AND ";
        if ( !is_null( $this->getFechaCreacion() ) ) $s_SQLQuery .= "VTA_PrsProyectos.FechaCreacion = '".$this->getFechaCreacion()."' AND ";
        if ( !is_null( $this->getUsuarioCreacion() ) ) $s_SQLQuery .= "VTA_PrsProyectos.UsuarioCreacion = '".$this->getUsuarioCreacion()."' AND ";
        if ( !is_null( $this->getUsuarioModificacion() ) ) $s_SQLQuery .= "VTA_PrsProyectos.UsuarioModificacion = '".$this->getUsuarioModificacion()."' AND ";
        if ( !is_null( $this->getFechaModificacion() ) ) $s_SQLQuery .= "VTA_PrsProyectos.FechaModificacion = '".$this->getFechaModificacion()."' AND ";
        if ( count( $this->a_Condition ) > 0 )
        {
            foreach ( $this->a_Condition as $a_Condition )
            {
                if( $a_Condition['FLAG_COMILLAS'] )
                {
                    $s_SQLQuery .= $a_Condition[ "COLUMN" ]." ".$a_Condition[ "OPERATOR" ]." '".$a_Condition[ "VALUE" ]."' AND ";
                }
                else
                {
                    $s_SQLQuery .= $a_Condition[ "COLUMN" ]." ".$a_Condition[ "OPERATOR" ]." ".$a_Condition[ "VALUE" ]." AND ";
                }
            }
        }
        $s_SQLQuery .= "1 = 1 ";
        return $s_SQLQuery;
    }

    public function selectNumRows()
    {
        $s_SQLQuery = "SELECT ";
        $s_SQLQuery .= "COUNT(*) AS cnt ";
        $s_SQLQuery .= "FROM VTA_PrsProyectos WHERE ";
        $s_SQLQuery .= $this->buildConsult();
        
        if ( count( $this->a_GroupBy ) > 0 )
        {
            $s_SQLQuery .= "GROUP BY ";
            $s_Separator = "";
            foreach ( $this->a_GroupBy as $a_GroupBy )
            {
                $s_SQLQuery .= $s_Separator.$a_GroupBy[ "COLUMN" ]." ";
                $s_Separator = ", ";
            }
        }
        if( $this->getDebug() ){ pr( $s_SQLQuery ); }
        $o_Resource = $this->getConnect();
        $o_Statement = $o_Resource->prepareStatement( $s_SQLQuery );
        $o_ResultSet = $o_Statement->executeQuery();
        $o_ResultSet->next();
        $i_NumRows    = $o_ResultSet->getInt( 'cnt' );
        return $i_NumRows;
    }

    /**
    * @param null $i_Position
    * @param null $i_Rows
    * @return VTA_PrsProyectosBN[]
    * @throws SQLException
    */
    public function select( $i_Position = null, $i_Rows = null )
    {
        $s_SQLQuery = "SELECT ";
        $s_SQLQuery .= $this->getSelectColumns();
        $s_SQLQuery .= "FROM VTA_PrsProyectos WHERE ";
        $s_SQLQuery .= $this->buildConsult();
        if ( count( $this->a_GroupBy ) > 0 )
        {
            $s_SQLQuery .= "GROUP BY ";
            $s_Separator = "";
            foreach ( $this->a_GroupBy as $a_GroupBy )
            {
                $s_SQLQuery .= $s_Separator.$a_GroupBy[ "COLUMN" ]." ";
                $s_Separator = ", ";
            }
        }
        if ( count( $this->a_OrderBy ) > 0 )
        {
            $s_SQLQuery = $s_SQLQuery."ORDER BY ";
            $s_Separator = "";
            foreach ( $this->a_OrderBy as $a_OrderBy )
            {
                $s_SQLQuery .= $s_Separator.$a_OrderBy[ "COLUMN" ]." ";
                if ( $a_OrderBy[ "ASC" ] === false ) $s_SQLQuery .= "DESC ";
                $s_Separator = ", ";
            }
        }
        if( !is_null( $i_Position ) && is_null( $i_Rows ) ) $s_SQLQuery .= "LIMIT ".$i_Position;
        if( !is_null( $i_Position ) && !is_null( $i_Rows ) ) $s_SQLQuery .= "LIMIT ".$i_Position.", ".$i_Rows;
        $s_SQLQuery .= ";";

        if( $this->getDebug() ){ pr( $s_SQLQuery ); }

        $a_VTA_PrsProyectosBN = array();
        $o_Resource = $this->getConnect();
        $o_Statement = $o_Resource->prepareStatement( $s_SQLQuery );
        $o_ResultSet = $o_Statement->executeQuery();
        $i_NumRows = $o_ResultSet->getRecordCount();
        if( $i_NumRows > 0 )
        {
            while( $o_ResultSet->next() ) 
            {
                $a_SQLRow = $o_ResultSet->getRow(); //devuele array
                $o_VTA_PrsProyectosBN = $this->insertObjectBN( $a_SQLRow );
                $a_VTA_PrsProyectosBN[] = $o_VTA_PrsProyectosBN;
            }
        }
        return $a_VTA_PrsProyectosBN;
    }

    /* Devuelve un objeto VTA_PrsProyectosBN desde un objeto propel */
    public function insertObjectBN( $a_VTA_PrsProyectos )
    {
        $o_VTA_PrsProyectosBN = new VTA_PrsProyectosBN();
        if ( !is_null( $a_VTA_PrsProyectos['IdProyecto'] ) ) $o_VTA_PrsProyectosBN->setIdProyecto( ( integer ) $a_VTA_PrsProyectos['IdProyecto'] );
        if ( !is_null( $a_VTA_PrsProyectos['IdPersona'] ) ) $o_VTA_PrsProyectosBN->setIdPersona( ( integer ) $a_VTA_PrsProyectos['IdPersona'] );
        if ( !is_null( $a_VTA_PrsProyectos['ClienteNombre'] ) ) $o_VTA_PrsProyectosBN->setClienteNombre( $a_VTA_PrsProyectos['ClienteNombre'] );
        if ( !is_null( $a_VTA_PrsProyectos['ClienteTipoDocu'] ) ) $o_VTA_PrsProyectosBN->setClienteTipoDocu( $a_VTA_PrsProyectos['ClienteTipoDocu'] );
        if ( !is_null( $a_VTA_PrsProyectos['ClienteNroDocu'] ) ) $o_VTA_PrsProyectosBN->setClienteNroDocu( $a_VTA_PrsProyectos['ClienteNroDocu'] );
        if ( !is_null( $a_VTA_PrsProyectos['NombreCompleto'] ) ) $o_VTA_PrsProyectosBN->setNombreCompleto( $a_VTA_PrsProyectos['NombreCompleto'] );
        if ( !is_null( $a_VTA_PrsProyectos['NombreProyecto'] ) ) $o_VTA_PrsProyectosBN->setNombreProyecto( $a_VTA_PrsProyectos['NombreProyecto'] );
        if ( !is_null( $a_VTA_PrsProyectos['Contacto'] ) ) $o_VTA_PrsProyectosBN->setContacto( $a_VTA_PrsProyectos['Contacto'] );
        if ( !is_null( $a_VTA_PrsProyectos['TipoDocumento'] ) ) $o_VTA_PrsProyectosBN->setTipoDocumento( $a_VTA_PrsProyectos['TipoDocumento'] );
        if ( !is_null( $a_VTA_PrsProyectos['NroDocumento'] ) ) $o_VTA_PrsProyectosBN->setNroDocumento( $a_VTA_PrsProyectos['NroDocumento'] );
        if ( !is_null( $a_VTA_PrsProyectos['Cargo'] ) ) $o_VTA_PrsProyectosBN->setCargo( $a_VTA_PrsProyectos['Cargo'] );
        if ( !is_null( $a_VTA_PrsProyectos['Telefono'] ) ) $o_VTA_PrsProyectosBN->setTelefono( $a_VTA_PrsProyectos['Telefono'] );
        if ( !is_null( $a_VTA_PrsProyectos['Correo'] ) ) $o_VTA_PrsProyectosBN->setCorreo( $a_VTA_PrsProyectos['Correo'] );
        if ( !is_null( $a_VTA_PrsProyectos['Estado'] ) ) $o_VTA_PrsProyectosBN->setEstado( $a_VTA_PrsProyectos['Estado'] );
        if ( !is_null( $a_VTA_PrsProyectos['EstadoDevolucion'] ) ) $o_VTA_PrsProyectosBN->setEstadoDevolucion( $a_VTA_PrsProyectos['EstadoDevolucion'] );
        if ( !is_null( $a_VTA_PrsProyectos['FechaInicioDespacho'] ) ) $o_VTA_PrsProyectosBN->setFechaInicioDespacho( utilTimestamp::getTimestamp( $a_VTA_PrsProyectos['FechaInicioDespacho'], "Y-m-d" ) );
        if ( !is_null( $a_VTA_PrsProyectos['FechaFinDespacho'] ) ) $o_VTA_PrsProyectosBN->setFechaFinDespacho( utilTimestamp::getTimestamp( $a_VTA_PrsProyectos['FechaFinDespacho'], "Y-m-d" ) );
        if ( !is_null( $a_VTA_PrsProyectos['Departamento'] ) ) $o_VTA_PrsProyectosBN->setDepartamento( $a_VTA_PrsProyectos['Departamento'] );
        if ( !is_null( $a_VTA_PrsProyectos['Provincia'] ) ) $o_VTA_PrsProyectosBN->setProvincia( $a_VTA_PrsProyectos['Provincia'] );
        if ( !is_null( $a_VTA_PrsProyectos['Distrito'] ) ) $o_VTA_PrsProyectosBN->setDistrito( $a_VTA_PrsProyectos['Distrito'] );
        if ( !is_null( $a_VTA_PrsProyectos['Direccion'] ) ) $o_VTA_PrsProyectosBN->setDireccion( $a_VTA_PrsProyectos['Direccion'] );
        if ( !is_null( $a_VTA_PrsProyectos['FechaCreacion'] ) ) $o_VTA_PrsProyectosBN->setFechaCreacion( utilTimestamp::getTimestamp( $a_VTA_PrsProyectos['FechaCreacion'], "Y-m-d H:i:s" ) );
        if ( !is_null( $a_VTA_PrsProyectos['UsuarioCreacion'] ) ) $o_VTA_PrsProyectosBN->setUsuarioCreacion( $a_VTA_PrsProyectos['UsuarioCreacion'] );
        if ( !is_null( $a_VTA_PrsProyectos['UsuarioModificacion'] ) ) $o_VTA_PrsProyectosBN->setUsuarioModificacion( $a_VTA_PrsProyectos['UsuarioModificacion'] );
        if ( !is_null( $a_VTA_PrsProyectos['FechaModificacion'] ) ) $o_VTA_PrsProyectosBN->setFechaModificacion( utilTimestamp::getTimestamp( $a_VTA_PrsProyectos['FechaModificacion'], "Y-m-d H:i:s" ) );
        return $o_VTA_PrsProyectosBN;
    }
}
?>